Package org.kie.internal.runtime.manager.audit.query

## Interface RequestInfoQueryBuilder

- All Superinterfaces:
    `ExtendedParametrizedQueryBuilder<RequestInfoQueryBuilder,​org.kie.api.executor.RequestInfo>`, `ParametrizedQueryBuilder<RequestInfoQueryBuilder>`

      public interface RequestInfoQueryBuilder
      extends ExtendedParametrizedQueryBuilder<RequestInfoQueryBuilder,​org.kie.api.executor.RequestInfo>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `RequestInfoQueryBuilder.OrderBy` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RequestInfoQueryBuilder` | `ascending​(RequestInfoQueryBuilder.OrderBy field)` | Specify which field to use when ordering the results, in ascending order.
    `RequestInfoQueryBuilder` | `commandName​(String... commandName)` | Specify one or more request command names to use as a criteria
    `RequestInfoQueryBuilder` | `deploymentId​(String... deploymentId)` | Specify one or more deployment ids to use as a criteria
    `RequestInfoQueryBuilder` | `descending​(RequestInfoQueryBuilder.OrderBy field)` | Specify which field to use when ordering the results, in descending order.
    `RequestInfoQueryBuilder` | `executions​(int... executions)` | Specify one or more number of executions to use as a criteria
    `RequestInfoQueryBuilder` | `id​(long... id)` | Specify one or more task event ids to use as a criteria
    `RequestInfoQueryBuilder` | `key​(String... key)` | Specify one or more request keys to use as a criteria
    `RequestInfoQueryBuilder` | `message​(String... message)` | Specify one or more message strings as criteria in the query.
    `RequestInfoQueryBuilder` | `owner​(String... owner)` | Specify one or more request owner ids to use as a criteria
    `RequestInfoQueryBuilder` | `retries​(int... retries)` | Specify one or more number of retries to use as a criteria
    `RequestInfoQueryBuilder` | `status​(org.kie.api.executor.STATUS... status)` | Specify one or more request statuses to use as a criteria
    `RequestInfoQueryBuilder` | `time​(Date... time)` | Specify one or more dates to use as a criteria for the error info
    `RequestInfoQueryBuilder` | `timeRange​(Date timeMin, Date timeMax)` | Specify an inclusive range of error info times to use as a criteria

    - ### Methods inherited from interface org.kie.internal.query.ExtendedParametrizedQueryBuilder

      `build, endGroup, newGroup`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

- - ### Method Detail

    - #### commandName

          RequestInfoQueryBuilder commandName​(String... commandName)

      Specify one or more request command names to use as a criteria
      Parameters:
        `commandName` - one or more strings
      Returns:
        The current query builder instance

    - #### deploymentId

          RequestInfoQueryBuilder deploymentId​(String... deploymentId)

      Specify one or more deployment ids to use as a criteria
      Parameters:
        `deploymentId` - one or more strings
      Returns:
        The current query builder instance

    - #### executions

          RequestInfoQueryBuilder executions​(int... executions)

      Specify one or more number of executions to use as a criteria
      Parameters:
        `executions` - one or more ints
      Returns:
        The current query builder instance

    - #### id

          RequestInfoQueryBuilder id​(long... id)

      Specify one or more task event ids to use as a criteria
      Parameters:
        `id` - one or more task event entity ids
      Returns:
        The current query builder instance

    - #### key

          RequestInfoQueryBuilder key​(String... key)

      Specify one or more request keys to use as a criteria
      Parameters:
        `key` - one or more strings
      Returns:
        The current query builder instance

    - #### owner

          RequestInfoQueryBuilder owner​(String... owner)

      Specify one or more request owner ids to use as a criteria
      Parameters:
        `owner` - one or more strings
      Returns:
        The current query builder instance

    - #### message

          RequestInfoQueryBuilder message​(String... message)

      Specify one or more message strings as criteria in the query.
      Parameters:
        `message` - one or more strings
      Returns:
        The current query builder instance

    - #### retries

          RequestInfoQueryBuilder retries​(int... retries)

      Specify one or more number of retries to use as a criteria
      Parameters:
        `retries` - one or more ints
      Returns:
        The current query builder instance

    - #### status

          RequestInfoQueryBuilder status​(org.kie.api.executor.STATUS... status)

      Specify one or more request statuses to use as a criteria
      Parameters:
        `status` - one or more `STATUS` values
      Returns:
        The current query builder instance

    - #### time

          RequestInfoQueryBuilder time​(Date... time)

      Specify one or more dates to use as a criteria for the error info
      Parameters:
        `time` - one or more dates
      Returns:
        The current query builder instance

    - #### timeRange

          RequestInfoQueryBuilder timeRange​(Date timeMin,
                                            Date timeMax)

      Specify an inclusive range of error info times to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
      Parameters:
        `timeMin` - the minimal (lower) date to use in the range
        `timeMax` - the max (upper) date to use in the range
      Returns:
        The current query builder instance

    - #### ascending

          RequestInfoQueryBuilder ascending​(RequestInfoQueryBuilder.OrderBy field)

      Specify which field to use when ordering the results, in ascending order. If this method is not used, the results will be ordered in ascending order by the id field.
      Parameters:
        `field` - the field by which the query results should be ordered
      Returns:
        The current instance of this query builder

    - #### descending

          RequestInfoQueryBuilder descending​(RequestInfoQueryBuilder.OrderBy field)

      Specify which field to use when ordering the results, in descending order. If this method is not used, the results will be ordered in ascending order by the id field.
      Parameters:
        `field` - the field by which the query results should be ordered
      Returns:
        The current instance of this query builder